// Crystal Intro Wave by Epyx
// especially for Jizzy, have fun

uniform float   time;
uniform float2 resolution = float2(16,9) ;

  float rippleMove	=  0.3;	// <- bewegung der Welle 
  float ripple           	=  6.0;	// <- Anzahl der Wellen
  float rippleSpeed	=  -0.1;	// <- Geschwindigkeit
  float rippleSize	=  0.19;	// <- hhe der Wellen

float4 main(float2 gl_FragCoord: TEXCOORD0, float4 gl_FragColor: COLOR ) : COLOR  {
       	
 	gl_FragCoord.y = 1 - gl_FragCoord.y; gl_FragCoord = gl_FragCoord * resolution;
	float2 p = ( gl_FragCoord.xy / resolution.xy ) ;
	p.y += rippleSize * sin(ripple * (p.x + time * rippleSpeed))*cos(rippleMove*time);
	float d = -p.x * sign(p.y) + p.y * sign(p.x);
  	float3 c = float3(0.0,0.0,0.0);

	if(p.y < 0.5)
		c = float3(0.2, 0.2, 0.35);	// <-- Untere Farbe 
	else
		c = float3(0.3, 0.3, 0.35);	// <- Obere Farbe
        
               return  gl_FragColor = float4( c, 1.0 );

}


technique Melon_or_what
{
    pass p1  
    {   PixelShader = compile ps_2_0 main();   }
}

